Bug 472688 - webcam error -5 black image on Sunplus / Flexcam 100 04FC:0561 Ezonics
webcam error -5 black image on Sunplus / Flexcam 100 04FC:0561 Ezonics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 08:42 EST by Brent R Brian
Modified: 2009-07-14 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent R Brian 2008-11-23 08:42:08 EST
Camera is identified as GENERIC and using 2.6.27 and the new library with

    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so camstream

from the command line we are returned a black image and an error -5

Chipset: Sunplus/Flexcam 100
Camera:  Ezonics model 307,
USB ID:  04FC:0561
Comment 1 Hans de Goede 2008-11-25 14:55:51 EST
Ah interesting, that is a revision 72a spca561 based cam, I only have rev 12a cams to test with. I think you might have found a driver bug. First of all can you please update to the latest gspca devel, as described here:
http://hansdegoede.livejournal.com/6630.html

All though I must admit I do not expect much from that, if that does not help, please do the following as root:
echo 255 > /sys/module/gspca_main/parameters/debug

Then unplug and replug the cam, and try to use it using an application, and then do:
dmesg > log

And attach the log file here.
Comment 2 Bug Zapper 2009-06-09 23:20:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:59:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.